Package org.eclipse.gef.layout

## Interface ILayoutAlgorithm

All Known Implementing Classes:
  `BoxLayoutAlgorithm`, `CompositeLayoutAlgorithm`, `GridLayoutAlgorithm`, `HorizontalShiftAlgorithm`, `RadialLayoutAlgorithm`, `SpaceTreeLayoutAlgorithm`, `SpringLayoutAlgorithm`, `SugiyamaLayoutAlgorithm`, `TreeLayoutAlgorithm`

    public interface ILayoutAlgorithm

An interface for all layout algorithms.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `applyLayout​(LayoutContext layoutContext, boolean clean)` Makes this algorithm perform layout computation and apply it to its context.

### Method Detail

#### applyLayout

    void applyLayout​(LayoutContext layoutContext,
                     boolean clean)

Makes this algorithm perform layout computation and apply it to its context.

Parameters:
  `layoutContext` - The `LayoutContext` that provides all relevant information about what to layout.
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.